> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Edge in Graph

> Update an existing edge properties such as condition in the agent workflow graph.



## OpenAPI

````yaml put /agent-graphs/update-edge/{edgeId}
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /agent-graphs/update-edge/{edgeId}:
    put:
      tags:
        - Agent Graph
      summary: Update Edge in Graph
      description: >-
        Update an existing edge properties such as condition in the agent
        workflow graph.
      operationId: AgentGraphController_updateEdge
      parameters:
        - name: edgeId
          required: true
          in: path
          schema:
            type: string
        - name: current-workspace-id
          in: header
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEdgeDto'
      responses:
        '200':
          description: Edge updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentGraphEdge'
      security:
        - x-api-key: []
components:
  schemas:
    UpdateEdgeDto:
      type: object
      properties:
        condition:
          type: string
        isAttachmentDataPulledIn:
          type: boolean
        groups:
          type: array
          items:
            $ref: '#/components/schemas/UpdateConditionGroupDto'
      required:
        - isAttachmentDataPulledIn
    AgentGraphEdge:
      type: object
      properties:
        sourceAgentGraphNodeId:
          type: string
        targetAgentGraphNodeId:
          type: string
        condition:
          type: string
        isAttachmentDataPulledIn:
          type: boolean
        conditionGroups:
          type: array
          items:
            $ref: '#/components/schemas/AgentGraphEdgeConditionGroup'
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - sourceAgentGraphNodeId
        - targetAgentGraphNodeId
        - isAttachmentDataPulledIn
        - conditionGroups
        - id
        - createdAt
        - updatedAt
    UpdateConditionGroupDto:
      type: object
      properties:
        id:
          type: string
        nextGroupOperator:
          nullable: true
          enum:
            - AND
            - OR
          type: string
        rules:
          type: array
          items:
            $ref: '#/components/schemas/UpdateConditionRuleDto'
      required:
        - rules
    AgentGraphEdgeConditionGroup:
      type: object
      properties:
        agentGraphEdgeId:
          type: string
        nextGroupOperator:
          enum:
            - AND
            - OR
          type: string
        edge:
          $ref: '#/components/schemas/AgentGraphEdge'
        rules:
          type: array
          items:
            $ref: '#/components/schemas/AgentGraphEdgeConditionRule'
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - agentGraphEdgeId
        - edge
        - rules
        - id
        - createdAt
        - updatedAt
    UpdateConditionRuleDto:
      type: object
      properties:
        id:
          type: string
        sourceAgentToolConfigurationOutputParamsId:
          type: string
        operator:
          enum:
            - equals
            - not_equals
            - greater_than
            - less_than
            - contains
            - does_not_contain
            - starts_with
            - ends_with
            - is_empty
            - is_not_empty
          type: string
        comparisonValueType:
          enum:
            - static
            - output_param
          type: string
        comparisonValue:
          type: string
          nullable: true
        comparisonAgentToolConfigurationOutputParamsId:
          type: string
          nullable: true
        nextRuleOperator:
          nullable: true
          enum:
            - AND
            - OR
          type: string
      required:
        - sourceAgentToolConfigurationOutputParamsId
        - operator
        - comparisonValueType
    AgentGraphEdgeConditionRule:
      type: object
      properties:
        agentGraphEdgeConditionGroupId:
          type: string
        sourceAgentToolConfigurationOutputParamsId:
          type: string
        operator:
          enum:
            - equals
            - not_equals
            - greater_than
            - less_than
            - contains
            - does_not_contain
            - starts_with
            - ends_with
            - is_empty
            - is_not_empty
          type: string
        comparisonValueType:
          enum:
            - static
            - output_param
          type: string
        comparisonValue:
          type: string
        comparisonAgentToolConfigurationOutputParamsId:
          type: string
        nextRuleOperator:
          enum:
            - AND
            - OR
          type: string
        group:
          $ref: '#/components/schemas/AgentGraphEdgeConditionGroup'
        sourceOutputParam:
          $ref: '#/components/schemas/AgentToolConfigurationOutputParams'
        comparisonOutputParam:
          $ref: '#/components/schemas/AgentToolConfigurationOutputParams'
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - agentGraphEdgeConditionGroupId
        - sourceAgentToolConfigurationOutputParamsId
        - operator
        - comparisonValueType
        - group
        - sourceOutputParam
        - id
        - createdAt
        - updatedAt
    AgentToolConfigurationOutputParams:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the output parameter.
          example: param-123e4567-e89b-12d3-a456-426614174000
        paramName:
          type: string
          description: Name of the output parameter.
          example: customerData
        position:
          type: number
          description: Position/order of the parameter in the output list.
          example: 1
        paramDescription:
          type: string
          description: Human-readable description of what this output parameter represents.
          example: The customer data retrieved from the database.
        agentToolConfigurationId:
          type: string
          description: UUID of the parent tool configuration.
          example: config-123e4567-e89b-12d3-a456-426614174000
        parentId:
          type: string
          description: UUID of the parent parameter for nested structures.
        paramPath:
          type: string
          description: JSON path to this parameter in the output structure.
          example: response.data.customer
        outputExample:
          type: string
          description: Example value demonstrating the expected output format.
          example: '{"name": "John Doe", "email": "john@example.com"}'
        dataType:
          nullable: true
          enum:
            - string
            - number
            - boolean
            - object
            - enum
          type: string
          description: Data type of the output parameter.
          example: string
        isArray:
          type: boolean
          default: false
          description: Whether this parameter returns an array of values.
          example: false
        typeOptions:
          type: object
          nullable: true
          description: Additional type-specific configuration options.
        createdAt:
          format: date-time
          type: string
          description: Timestamp when the parameter was created.
        updatedAt:
          format: date-time
          type: string
          description: Timestamp when the parameter was last updated.
      required:
        - id
        - agentToolConfigurationId
        - isArray
        - createdAt
        - updatedAt
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````